cURL
curl --request GET \
--url https://api.trychart.com/introspect \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trychart.com/introspect"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trychart.com/introspect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taxpayer_id": "clt0szoxp0001p82z45ufj6t4",
"client_id": "23ca205dc62bbf3e3f940667020bbdcc",
"name": "John Doe",
"provider_id": "turbotax"
}Management
Introspect
Read account information associated with an access_token.
GET
/
introspect
cURL
Authorizations
Please use your access_token returned from the /auth/token endpoint.
Headers
Header used to specify the version for a given API request. Current version is 2024-01-01.
Response
200 - application/json
Introspect Response
The Chart UUID identifying the taxpayer for a specific submission.
Example:
"clt0szoxp0001p82z45ufj6t4"
The client id of the application associated with the access_token.
Example:
"23ca205dc62bbf3e3f940667020bbdcc"
The account name retrieved from tax record provider.
Example:
"John Doe"
The tax record provider associated with the access_token.
Available options:
turbotax, hr, taxact, tax_slayer, jackson, free_tax_usa, irs, irs_tax_pro, pilot, cch_axcess, drake, proconnect, chart-sandbox Example:
"turbotax"
Was this page helpful?